import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"


export default class Bttdrv{
    constructor () {
        this.data = {
						ltdgrp:{
							rec:{
								ownref:"",			//  Transfer Reference		.ltdgrp.rec.ownref
								utlnbr:"",			//  Number of Utilizations		.ltdgrp.rec.utlnbr
							},
						},
						mtabut: new Pub().data.Mtabut,
						setmod: new Pub().data.Setmod,
						liaall: new Pub().data.Liaall,
						bttp:{
							ltdget:{
								sdamod:{
									seainf:"",			//  		.bttp.ltdget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bttp.ltdget.sdamod.dadsnd
								},
							},
							ledget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bttp.ledget.sdamod.dadsnd
									seainf:"",			//  		.bttp.ledget.sdamod.seainf
								},
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.bttp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bttp.recget.sdamod.dadsnd
								},
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.bttp.aammod.addamtflg
							},
							docgrdmbe1:{
								docdsclab:"",			//  Label of document description		.bttp.docgrdmbe1.docdsclab
							},
							docgrdmbe2:{
								docdsclab:"",			//  Label of document description		.bttp.docgrdmbe2.docdsclab
							},
							othp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bttp.othp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bttp.othp.ptsget.sdamod.dadsnd
									},
								},
							},
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bttp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bttp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
							prpp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bttp.prpp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bttp.prpp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						ledgrp:{
							rec:{
								ownref:"",			//  L/C Reference		.ledgrp.rec.ownref
							},
						},
						btdgrp:{
							rec:{
								ownref:"",			//  Doc. Set Reference		.btdgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.btdgrp.rec.nam
								doctypcod:"",			//  Document Type		.btdgrp.rec.doctypcod
								matdat:"",			//  Maturity Date		.btdgrp.rec.matdat
								predat:"",			//  Presentation Date		.btdgrp.rec.predat
								docsta:"",			//  Document Set Status		.btdgrp.rec.docsta
								rcvdatbe1:"",			//  Date of Receipt 1st Beneficiary		.btdgrp.rec.rcvdatbe1
								orddatbe1:"",			//  Order Date 1st Beneficiary		.btdgrp.rec.orddatbe1
								rcvdatbe2:"",			//  Date of Receipt 2nd Beneficiary		.btdgrp.rec.rcvdatbe2
								orddatbe2:"",			//  Order Date 2nd Beneficiary		.btdgrp.rec.orddatbe2
								shpdat:"",			//  Date of Shipment		.btdgrp.rec.shpdat
								dscinsflg:"",			//  Enter Docs, Discrep. and Instructions		.btdgrp.rec.dscinsflg
								payrol:"",			//  Payer		.btdgrp.rec.payrol
								docprbrol:"",			//  Presented by		.btdgrp.rec.docprbrol
								docprbrolbe1:"",			//  Presented by 1st Ben-Side		.btdgrp.rec.docprbrolbe1
							},
							cbs:{
								max:{
									cur:"",			//  Total Document		.btdgrp.cbs.max.cur
									amt:"",			//  Balance		.btdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.btdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.btdgrp.cbs.opn1.amt
								},
								max2:{
									cur:"",			//  Total Additional		.btdgrp.cbs.max2.cur
									amt:"",			//  Total Additional		.btdgrp.cbs.max2.amt
								},
								opnbe1amt:{
									cur:"",			//  Difference Document		.btdgrp.cbs.opnbe1amt.cur
									amt:"",			//  Balance		.btdgrp.cbs.opnbe1amt.amt
								},
								opnbe1amt2:{
									cur:"",			//  Difference Additional		.btdgrp.cbs.opnbe1amt2.cur
									amt:"",			//  Difference Additional		.btdgrp.cbs.opnbe1amt2.amt
								},
							},
							be1:{
								pts:new Pts().data,
							},
							be2:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.btdgrp.prb.namelc
								adrelc:"",			//  地址		.btdgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.btdgrp.prb.dbfadrblkcn
							},
							be2amt:"",			//  Document Amount		.btdgrp.be2amt
							be2amt2:"",			//  Additional Amount		.btdgrp.be2amt2
							oth:{
								pts:new Pts().data,
								namelc:"",			//  名称		.btdgrp.oth.namelc
								adrelc:"",			//  地址		.btdgrp.oth.adrelc
								dbfadrblkcn:"",			//  Chinese address		.btdgrp.oth.dbfadrblkcn
							},
							prp:{
								pts:new Pts().data,
								namelc:"",			//  名称		.btdgrp.prp.namelc
								adrelc:"",			//  地址		.btdgrp.prp.adrelc
								dbfadrblkcn:"",			//  Chinese address		.btdgrp.prp.dbfadrblkcn
							},
						},
						be2addlab:"",			//  Label for Additionan Amount 2nd Beneficiary		.be2addlab
						be2doclab:"",			//  Label for Document Amount 2nd Beneficiary		.be2doclab
						oridoclab:"",			//  Label original		.oridoclab
						oriaddlab:"",			//  Label original		.oriaddlab
						oldbtdgrp:{
							cbs:{
								max:{
									amt:"",			//  Balance		.oldbtdgrp.cbs.max.amt
								},
								max2:{
									amt:"",			//  Balance		.oldbtdgrp.cbs.max2.amt
								},
								opnbe1amt:{
									amt:"",			//  Balance		.oldbtdgrp.cbs.opnbe1amt.amt
								},
								opnbe1amt2:{
									amt:"",			//  Balance		.oldbtdgrp.cbs.opnbe1amt2.amt
								},
							},
							be2amt:"",			//  Document Amount for 2nd Ben.		.oldbtdgrp.be2amt
							be2amt2:"",			//  Additional Amount for 2nd Ben.		.oldbtdgrp.be2amt2
						},
						be1doclab:"",			//  Label for Document Amount 1st Beneficiary		.be1doclab
						be1addlab:"",			//  Label for Additional Amount 1st Beneficiary		.be1addlab
						pageId: ""			// ctx的key
				}
    }
}