import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infltd{
    constructor () {
        this.data = {
						infcon:{
							seaownref:"",			//  Own Reference		.infcon.seaownref
							nam:"",			//  Name		.infcon.nam
							searef:"",			//  Party Reference		.infcon.searef
							pty:{
								extkey:"",			//  Select Single Party		.infcon.pty.extkey
								nam:"",			//  External Visible Name		.infcon.pty.nam
							},
							seapty:"",			//  Party Name/BIC		.infcon.seapty
							searol:"",			//  Role		.infcon.searol
							opndatfrom:"",			//  Opening between		.infcon.opndatfrom
							opndatto:"",			//  Open Date to		.infcon.opndatto
							usr:{
								extkey:"",			//  User ID		.infcon.usr.extkey
							},
							seasta:"",			//  Status		.infcon.seasta
							seacur:"",			//  Currency		.infcon.seacur
							seaamtfr:"",			//  Amount between		.infcon.seaamtfr
							seaamtto:"",			//  Amount to		.infcon.seaamtto
							relflg:"",			//  Release Status		.infcon.relflg
							cxmflg:"",			//  是否显示查询码		.infcon.cxmflg
							hndtyp:"",			//  Handling Type		.infcon.hndtyp
							chksubcon:"",			//  incl. all subcontracts		.infcon.chksubcon
							chktrnsta:"",			//  only active transactions		.infcon.chktrnsta
							trnstm:"",			//  stream for TRN to selected contract		.infcon.trnstm
							cbctxt:"",			//  CBS Column		.infcon.cbctxt
							cbbstm:"",			//  stream of CBBs		.infcon.cbbstm
							cbestm:"",			//  stream of CBEs		.infcon.cbestm
							feptxtlbl:"",			//  label used on FEP-Panel		.infcon.feptxtlbl
							fcptxtlbl:"",			//  Text label used on FCP-panel		.infcon.fcptxtlbl
							fepfeecod:"",			//  Fee Code		.infcon.fepfeecod
							fepdsp:"",			//  Disposition		.infcon.fepdsp
							fepstm:"",			//  stream for FEPs to selected contract		.infcon.fepstm
							fcpstm:"",			//  stream of foreign charges		.infcon.fcpstm
							fcpdsp:"",			//  Disposition		.infcon.fcpdsp
							setflg:"",			//  show temporary settlement that already settled		.infcon.setflg
							sepdelflg:"",			//  show temporary settlement that already deleted		.infcon.sepdelflg
							sepstm:"",			//  stream of SEPs		.infcon.sepstm
							seabucdatfro:"",			//  Booking date from		.infcon.seabucdatfro
							seabucdatto:"",			//  Booking date till used on GLEINFP		.infcon.seabucdatto
							seatrninr:"",			//  Transaction INR		.infcon.seatrninr
							glestm:"",			//  Stream of GLEs		.infcon.glestm
							smhcortyp:"",			//  Type of Document		.infcon.smhcortyp
							smhdatfrom:"",			//  Created between 		.infcon.smhdatfrom
							smhdatto:"",			//  created till		.infcon.smhdatto
							smhdir:"",			//  Direction		.infcon.smhdir
							chktrn:"",			//  Active only		.infcon.chktrn
							smhstm:"",			//  stream of documents to selected contract		.infcon.smhstm
							sptinc:"",			//  Incoming		.infcon.sptinc
							sptreg:"",			//  Registered		.infcon.sptreg
							sptpen:"",			//  Pending		.infcon.sptpen
							sptcor:"",			//  Correction		.infcon.sptcor
							sptdel:"",			//  Deleted		.infcon.sptdel
							sptstm:"",			//  stream for SPT to selected contract		.infcon.sptstm
							diadatfrom:"",			//  Date from		.infcon.diadatfrom
							diadatto:"",			//  date till		.infcon.diadatto
							diasta:"",			//  Status		.infcon.diasta
							diastm:"",			//  stream for diaries to selected contract		.infcon.diastm
						},
						infbut:{
							dspstm:"",			//  display stream		.infbut.dspstm
						},
						ledgrp:{
							rec:{
								ownref:"",			//  Reference		.ledgrp.rec.ownref
								nam:"",			//  Name		.ledgrp.rec.nam
								avbby:"",			//  Available by [AVBBY0]		.ledgrp.rec.avbby
								redclsflg:"",			//  Red/Green Clause		.ledgrp.rec.redclsflg
								opndat:"",			//  Date Issued		.ledgrp.rec.opndat
								shpdat:"",			//  Shipment Date		.ledgrp.rec.shpdat
								expdat:"",			//  Date/Place of Expiry		.ledgrp.rec.expdat
								expplc:"",			//  Date/Place of Expiry		.ledgrp.rec.expplc
								lcrtyp:"",			//  Form of L/C		.ledgrp.rec.lcrtyp
								revflg:"",			//  Revolving Flag		.ledgrp.rec.revflg
							},
							cbs:{
								nom1:{
									cur:"",			//  L/C Amount		.ledgrp.cbs.nom1.cur
									amt:"",			//  Balance		.ledgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.ledgrp.cbs.opn1.cur
									amt:"",			//  Balance		.ledgrp.cbs.opn1.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							iss:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							avbnam:"",			//  Available with		.ledgrp.avbnam
						},
						recpan:{
							ledget:{
								sdamod:{
									seainf:"",			//  Reference of L/C		.recpan.ledget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.ledget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
									seainf:"",			//  		.recpan.recget.sdamod.seainf
								},
							},
							usr:{
								extkey:"",			//  Responsible User		.recpan.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.recpan.usrget.sdamod.seainf
								},
							},
							aamp:{
								aammod:{
									addamtflg:"",			//  Add. Amount		.recpan.aamp.aammod.addamtflg
								},
							},
							be1p:{
								ptsget:{
									sdamod:{
										dadsnd:"",			//  Drag  Drop Sender		.recpan.be1p.ptsget.sdamod.dadsnd
										seainf:"",			//  		.recpan.be1p.ptsget.sdamod.seainf
									},
								},
							},
							adtp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.adtp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.adtp.ptsget.sdamod.dadsnd
									},
								},
							},
							be2p:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.be2p.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.be2p.ptsget.sdamod.dadsnd
									},
								},
							},
							avtp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.avtp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.avtp.ptsget.sdamod.dadsnd
									},
								},
							},
							drwp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.drwp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.drwp.ptsget.sdamod.dadsnd
									},
								},
							},
							labdefdet:"",			//  DEFDAT LAbel		.recpan.labdefdet
							a2tp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.a2tp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.a2tp.ptsget.sdamod.dadsnd
									},
								},
							},
							rmtp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.rmtp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.rmtp.ptsget.sdamod.dadsnd
									},
								},
							},
							conp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.conp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.conp.ptsget.sdamod.dadsnd
									},
								},
							},
							letp0:{
								recget:{
									sdamod:{
										dadsnd:"",			//  Drag  Drop Sender		.recpan.letp0.recget.sdamod.dadsnd
									},
								},
								aammod:{
									addamtflg:"",			//  Add. Amount		.recpan.letp0.aammod.addamtflg
								},
								cnftxt:"",			//  Confirmation text		.recpan.letp0.cnftxt
							},
							leltb2b:{
								litb2bstm:"",			//  Streamgrid of other L/Cs backed by B2B LE		.recpan.leltb2b.litb2bstm
							},
							totamt:"",			//  Total Amount		.recpan.totamt
						},
						ltdgrp:{
							rec:{
								ownref:"",			//  Reference		.ltdgrp.rec.ownref
								nam:"",			//  Name		.ltdgrp.rec.nam
								lcrtyp:"",			//  Form of Transfer		.ltdgrp.rec.lcrtyp
								nomtop:"",			//  Amount Tolerance +/-		.ltdgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.ltdgrp.rec.nomton
								nomspc:"",			//  Amount Specification		.ltdgrp.rec.nomspc
								opndat:"",			//  Issued on		.ltdgrp.rec.opndat
								shpdat:"",			//  Shipment Date		.ltdgrp.rec.shpdat
								expdat:"",			//  Date of Expiry		.ltdgrp.rec.expdat
								expplc:"",			//  Place of Expiry		.ltdgrp.rec.expplc
								shppar:"",			//  Partial Shipment		.ltdgrp.rec.shppar
								shptrs:"",			//  Transhipment		.ltdgrp.rec.shptrs
								apprul:"",			//  Applicable Rules		.ltdgrp.rec.apprul
								apprultxt:"",			//  Other Applicable Rules		.ltdgrp.rec.apprultxt
								cnfins:"",			//  Confirmation Instruct.		.ltdgrp.rec.cnfins
								rmbflg:"",			//  Reimbursement Information		.ltdgrp.rec.rmbflg
								shppars18:"",			//  Partial Shipment		.ltdgrp.rec.shppars18
								shptrss18:"",			//  Transhipment		.ltdgrp.rec.shptrss18
								avbwth:"",			//  Available with		.ltdgrp.rec.avbwth
								avbby:"",			//  Available by		.ltdgrp.rec.avbby
								shpfro:"",			//  Dispatch from		.ltdgrp.rec.shpfro
								porloa:"",			//  Air-/Port of Departure		.ltdgrp.rec.porloa
								pordis:"",			//  Air-/Port of Destination		.ltdgrp.rec.pordis
								shpto:"",			//  Final Destination		.ltdgrp.rec.shpto
								chato:"",			//  Own Charges Borne by		.ltdgrp.rec.chato
								stacty:"",			//  Country Code Risk Country		.ltdgrp.rec.stacty
								tenmaxday:"",			//  Maximum tenor in days		.ltdgrp.rec.tenmaxday
								prepers18:"",			//  Days of presentation period		.ltdgrp.rec.prepers18
								prepertxts18:"",			//  Presentation period text		.ltdgrp.rec.prepertxts18
							},
							cbs:{
								nom1:{
									cur:"",			//  Nominal Amount		.ltdgrp.cbs.nom1.cur
									amt:"",			//  Nominal Amount		.ltdgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  This L/C		.ltdgrp.cbs.max.cur
									amt:"",			//  Maximum Amount		.ltdgrp.cbs.max.amt
								},
								opn1:{
									amt:"",			//  Balance		.ltdgrp.cbs.opn1.amt
								},
							},
							be1:{
								pts:new Pts().data,
							},
							adt:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ltdgrp.adt.namelc
								adrelc:"",			//  地址		.ltdgrp.adt.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ltdgrp.adt.dbfadrblkcn
							},
							be2:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ltdgrp.be2.namelc
								adrelc:"",			//  地址		.ltdgrp.be2.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ltdgrp.be2.dbfadrblkcn
							},
							avt:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ltdgrp.avt.namelc
								adrelc:"",			//  地址		.ltdgrp.avt.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ltdgrp.avt.dbfadrblkcn
							},
							blk:{
								avbwthtxt:"",			//  Available in		.ltdgrp.blk.avbwthtxt
								defdet:"",			//  Deferred Payment Details		.ltdgrp.blk.defdet
								dftat:"",			//  Drafts at		.ltdgrp.blk.dftat
								shpper:"",			//  Shipment Period		.ltdgrp.blk.shpper
								mixdet:"",			//  Mixed Payment Details		.ltdgrp.blk.mixdet
								preper:"",			//  Presentation Period		.ltdgrp.blk.preper
								preperflg:"",			//  Presentation Period modified		.ltdgrp.blk.preperflg
								feetxt:"",			//  Additional Details to Code for Charges CHATO		.ltdgrp.blk.feetxt
							},
							drw:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ltdgrp.drw.namelc
								adrelc:"",			//  地址		.ltdgrp.drw.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ltdgrp.drw.dbfadrblkcn
							},
							a2t:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ltdgrp.a2t.namelc
								adrelc:"",			//  地址		.ltdgrp.a2t.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ltdgrp.a2t.dbfadrblkcn
							},
							rmt:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ltdgrp.rmt.namelc
								adrelc:"",			//  地址		.ltdgrp.rmt.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ltdgrp.rmt.dbfadrblkcn
							},
							con:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ltdgrp.con.namelc
								adrelc:"",			//  地址		.ltdgrp.con.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ltdgrp.con.dbfadrblkcn
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						prtpanblk:"",			//  XMLPanel prtpan的内置block		.prtpanblk
						pageId: ""			// ctx的key
				}
    }
}