import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Litopn{
    constructor () {
        this.data = {
						lidgrp:{
							rec:{
								ownref:"",			//  Reference		.lidgrp.rec.ownref
								lcrtyp:"",			//  Form of L/C		.lidgrp.rec.lcrtyp
								nomtop:"",			//  Amount Tolerance +/-		.lidgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.lidgrp.rec.nomton
								nomspc:"",			//  Amount Specification		.lidgrp.rec.nomspc
								opndat:"",			//  L/C Issued on		.lidgrp.rec.opndat
								preadvdt:"",			//  Date Pre-advised		.lidgrp.rec.preadvdt
								shpdat:"",			//  Latest Shipment Date		.lidgrp.rec.shpdat
								expdat:"",			//  L/C Expiring on		.lidgrp.rec.expdat
								expplc:"",			//  in (Place)/ counters of		.lidgrp.rec.expplc
								shppar:"",			//  Partial Shipment		.lidgrp.rec.shppar
								shptrs:"",			//  Transhipment		.lidgrp.rec.shptrs
								apprul:"",			//  Applicable Rules		.lidgrp.rec.apprul
								apprultxt:"",			//  Other Applicable Rules		.lidgrp.rec.apprultxt
								cnfdet:"",			//  Confirm. Instructions		.lidgrp.rec.cnfdet
								rmbflg:"",			//  Reimbursement Information		.lidgrp.rec.rmbflg
								revflg:"",			//  Revolving Flag		.lidgrp.rec.revflg
								nam:"",			//  Name		.lidgrp.rec.nam
								resflg:"",			//  Reserved Contract		.lidgrp.rec.resflg
								shppars18:"",			//  Partial Shipment		.lidgrp.rec.shppars18
								shptrss18:"",			//  Transhipment		.lidgrp.rec.shptrss18
								guaflg:"",			//  Mortgage Flag		.lidgrp.rec.guaflg
								regref:"",			//  Register Ref.		.lidgrp.rec.regref
								rptref:"",			//  合同号		.lidgrp.rec.rptref
								oppbnk:"",			//  对手行代码		.lidgrp.rec.oppbnk
								dkflg:"",			//  是否代开信用证		.lidgrp.rec.dkflg
								avbwth:"",			//  Available with		.lidgrp.rec.avbwth
								avbby:"",			//  Available by		.lidgrp.rec.avbby
								shpfro:"",			//  Dispatch from		.lidgrp.rec.shpfro
								porloa:"",			//  Air-/Port of Departure		.lidgrp.rec.porloa
								pordis:"",			//  Air-/Port of Destination		.lidgrp.rec.pordis
								shpto:"",			//  Final Destination		.lidgrp.rec.shpto
								chato:"",			//  Drafts at		.lidgrp.rec.chato
								stacty:"",			//  Country Code Risk Country		.lidgrp.rec.stacty
								tenmaxday:"",			//  Maximum tenor in days		.lidgrp.rec.tenmaxday
								prepers18:"",			//  Days of presentation period		.lidgrp.rec.prepers18
								prepertxts18:"",			//  Presentation period text		.lidgrp.rec.prepertxts18
								stagod:"",			//  Goods Code 		.lidgrp.rec.stagod
								spcbenflg:"",			//  Special payment conditions for beneficiary exists		.lidgrp.rec.spcbenflg
								spcrcbflg:"",			//  Special Payment Conditions for specified Bank only		.lidgrp.rec.spcrcbflg
								redclsflg:"",			//  Red/Green Clause		.lidgrp.rec.redclsflg
							},
							cbs:{
								nom1:{
									cur:"",			//  Nominal Amount		.lidgrp.cbs.nom1.cur
									amt:"",			//  Nominal Amount		.lidgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  Maximum Amount		.lidgrp.cbs.max.cur
									amt:"",			//  Maximum Amount		.lidgrp.cbs.max.amt
								},
								max2:{
									cur:"",			//  Additional Amount		.lidgrp.cbs.max2.cur
									amt:"",			//  Additional Amount		.lidgrp.cbs.max2.amt
								},
								opn2:{
									cur:"",			//  Open Add. Amount		.lidgrp.cbs.opn2.cur
									amt:"",			//  Open Add. Amount		.lidgrp.cbs.opn2.amt
								},
							},
							apl:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.apl.namelc
								adrelc:"",			//  地址		.lidgrp.apl.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.apl.dbfadrblkcn
							},
							adv:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.adv.namelc
								adrelc:"",			//  地址		.lidgrp.adv.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.adv.dbfadrblkcn
							},
							ben:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.ben.namelc
								adrelc:"",			//  地址		.lidgrp.ben.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.ben.dbfadrblkcn
							},
							blk:{
								addamtcov:"",			//  Covered		.lidgrp.blk.addamtcov
								avbwthtxt:"",			//  Available in		.lidgrp.blk.avbwthtxt
								defdet:"",			//  Deferred Payment Details		.lidgrp.blk.defdet
								dftat:"",			//  Drafts at		.lidgrp.blk.dftat
								shpper:"",			//  Shipment Period		.lidgrp.blk.shpper
								preper:"",			//  Presentation Period		.lidgrp.blk.preper
								preperflg:"",			//  Presentation Period modified		.lidgrp.blk.preperflg
								feetxt:"",			//  Additional Details to Code for Charges		.lidgrp.blk.feetxt
								mixdet:"",			//  Mixed Payment Details		.lidgrp.blk.mixdet
								lcrgod:"",			//  Description. of Goods		.lidgrp.blk.lcrgod
								lcrdoc:"",			//  Documents Required		.lidgrp.blk.lcrdoc
								adlcnd:"",			//  Additional Conditions		.lidgrp.blk.adlcnd
								insbnk:"",			//  Instructions to Pay.,		.lidgrp.blk.insbnk
								spcrcb:"",			//  Special Payment 		.lidgrp.blk.spcrcb
								spcben:"",			//  Special Payment Conditions		.lidgrp.blk.spcben
							},
							avb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.avb.namelc
								adrelc:"",			//  地址		.lidgrp.avb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.avb.dbfadrblkcn
							},
							drw:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.drw.namelc
								adrelc:"",			//  地址		.lidgrp.drw.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.drw.dbfadrblkcn
							},
							ini:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.ini.namelc
								adrelc:"",			//  地址		.lidgrp.ini.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.ini.dbfadrblkcn
							},
							rmb:{
								pts:new Pts().data,
							},
							a2b:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.a2b.namelc
								adrelc:"",			//  地址		.lidgrp.a2b.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.a2b.dbfadrblkcn
							},
							con:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.con.namelc
								adrelc:"",			//  地址		.lidgrp.con.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.con.dbfadrblkcn
							},
						},
						litp:{
							recget:{
								sdamod:{
									seainf:"",			//  		.litp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.litp.recget.sdamod.dadsnd
								},
							},
							usr:{
								extkey:"",			//  Responsible User		.litp.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.litp.usrget.sdamod.seainf
								},
							},
							aamp:{
								aammod:{
									addamtflg:"",			//  Add. Amount		.litp.aamp.aammod.addamtflg
								},
							},
							aplp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.aplp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.aplp.ptsget.sdamod.dadsnd
									},
								},
							},
							advp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.advp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.advp.ptsget.sdamod.dadsnd
									},
								},
							},
							benp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.benp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.benp.ptsget.sdamod.dadsnd
									},
								},
							},
							oppbnkl:"",			//  对手行代码		.litp.oppbnkl
							avbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.avbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.avbp.ptsget.sdamod.dadsnd
									},
								},
							},
							drwp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.drwp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.drwp.ptsget.sdamod.dadsnd
									},
								},
							},
							defdetlab:"",			//  Label DEFDET		.litp.defdetlab
							avblab:"",			//  Label Available with Bank		.litp.avblab
							inip:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.inip.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.inip.ptsget.sdamod.dadsnd
									},
								},
							},
							rmbp:{
								ptsget:{
									sdamod:{
										dadsnd:"",			//  Drag  Drop Sender		.litp.rmbp.ptsget.sdamod.dadsnd
										seainf:"",			//  		.litp.rmbp.ptsget.sdamod.seainf
									},
								},
							},
							a2bp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.a2bp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.a2bp.ptsget.sdamod.dadsnd
									},
								},
							},
							conp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.conp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.conp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						liaall:{
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
							liaccv:{
								newamt:"",			//  合同金额		.liaall.liaccv.newamt
								concur:"",			//  应付保证金金额		.liaall.liaccv.concur
								totcovamt:"",			//  金额总和		.liaall.liaccv.totcovamt
								newresamt:"",			//  Reserved Amount		.liaall.liaccv.newresamt
								addinf:"",			//  Additional Information 		.liaall.liaccv.addinf
								cshpct:"",			//  保证金应收比例		.liaall.liaccv.cshpct
								relcshpct:"",			//  保证金实收比例		.liaall.liaccv.relcshpct
								gleflg:"",			//  Create gle flag		.liaall.liaccv.gleflg
								chgcurflg:"",			//  Change currency flag		.liaall.liaccv.chgcurflg
								pctresamt:"",			//  reserve amount based percent		.liaall.liaccv.pctresamt
							},
							limmod:{
								limpts:{
									wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
									othlab:"",			//  Label		.liaall.limmod.limpts.othlab
									othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
									wrk:{
										pts:new Pts().data,
									},
									oth:{
										pts:new Pts().data,
									},
									lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
									nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
									pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
									nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
									pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
								},
								wrkp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
										},
									},
								},
								othp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
										},
									},
								},
								ownref:"",			//  国结业务编号		.liaall.limmod.ownref
								comamt:"",			//  业务余额		.liaall.limmod.comamt
								ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
								ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
							},
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							setfog: {
								setfol: []
							},
							setfeg: {
								setfel: []
							},
							glemod:{
								gleshwstm:"",			//  Booking stream to Display		.setmod.glemod.gleshwstm
							},
						},
						bcbtyp1:"",			//  不在名录		.bcbtyp1
						bcbtyp2:"",			//  异地付汇		.bcbtyp2
						bcbtyp3:"",			//  转口�'�易		.bcbtyp3
						bcbtyp4:"",			//  90天以上信用证		.bcbtyp4
						bcbtyp5:"",			//  不需要		.bcbtyp5
						bcbtyp6:"",			//  其它		.bcbtyp6
						bcbtyp7:"",			//  备查表类型填写文本框		.bcbtyp7
						godnam:"",			//  �'�物简称		.godnam
						label1:"1、申请人与我行已签署贸易融资协议（如需）;",			//  国际部意见		.label1
						label2:"2、申请书要素齐全；",								  //  国际部意见		.label2
						label3:"3、申请书是否双面签章，签章已经核符；",					//  国际部意见		.label3
						label4:"4、占用授信额度的开证业务;",						   //  国际部意见		.label4
						label6:"",			//  国际部意见		.label6
						label5:"",			//  国际部意见		.label5
						bcbdat:"",			//  备案表效期		.bcbdat
						bccls1:"",			//  异地通知		.bccls1
						bccls2:"",			//  受益人为保税区企业		.bccls2
						bccls3:"",			//  运输单据抬头人为开证行，申请人不得拒付		.bccls3
						bccls4:"",			//  目的港在境外的转口贸易/境外工程业务		.bccls4
						bccls5:"",			//  起运地与目的地均为国内，属于加工贸易深加工		.bccls5
						bccls6:"",			//  非物权凭证，贸易背景真实		.bccls6
						bccls7:"",			//  超90天，已经总行贸易金融部批准办理		.bccls7
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
								doceot: [],
							},
							trndia:{
								dspstm:"",			//  Display Stream of Diaries		.trnmod.trndia.dspstm
								diarec:{
									cod:"",			//  Diary Reason		.trnmod.trndia.diarec.cod
									donflg:"",			//  Entry Done Nonspace = Entry Done		.trnmod.trndia.diarec.donflg
									dat:"",			//  Date of Diary		.trnmod.trndia.diarec.dat
									nam:"",			//  Description		.trnmod.trndia.diarec.nam
									inftxt:"",			//  Detailed Information		.trnmod.trndia.diarec.inftxt
									ownusg:"",			//  Resp. Group		.trnmod.trndia.diarec.ownusg
									usr:"",			//  Entered by		.trnmod.trndia.diarec.usr
									prechkdat:"",			//  预计核验日期		.trnmod.trndia.diarec.prechkdat
									ptynam:"",			//  pty name		.trnmod.trndia.diarec.ptynam
									ptyextkey:"",			//  pty extkey		.trnmod.trndia.diarec.ptyextkey
									paycur:"",			//  Pay CUR		.trnmod.trndia.diarec.paycur
									payamt:"",			//  付款币种		.trnmod.trndia.diarec.payamt
								},
								diamodflg:"",			//  used to define a codetable that to be show as status in Grid		.trnmod.trndia.diamodflg
								atp:{
									cod:"",			//  Start Transaction		.trnmod.trndia.atp.cod
								},
								atpget:{
									sdamod:{
										seainf:"",			//  		.trnmod.trndia.atpget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.trnmod.trndia.atpget.sdamod.dadsnd
									},
								},
								atptxt:"",			//  Application Transaction Profile Text		.trnmod.trndia.atptxt
								usr:{
									extkey:"",			//  Responsible User		.trnmod.trndia.usr.extkey
								},
								usrget:{
									sdamod:{
										seainf:"",			//  		.trnmod.trndia.usrget.sdamod.seainf
									},
								},
							},
						},
						cnybop:{
							cnyflg:"",			//  是否报送跨境人民币2101表		.cnybop.cnyflg
							traflg:"",			//  是否报送跨境人民币2107表		.cnybop.traflg
							outflg:"",			//  是否报送跨境人民币2111表		.cnybop.outflg
							libflg:"",			//  是否报送跨境人民币2106表		.cnybop.libflg
							vouflg:"",			//  是否报送跨境人民币2122表		.cnybop.vouflg
							cnylib:{
								spk:"",			//  业务主键		.cnybop.cnylib.spk
								sbankorgcode:"",			//  银行机构代码		.cnybop.cnylib.sbankorgcode
								stransattr:"",			//  业务属性		.cnybop.cnylib.stransattr
								stranstype:"",			//  业务类型		.cnybop.cnylib.stranstype
								sforbankswiftbic:"",			//  境外对手行代码		.cnybop.cnylib.sforbankswiftbic
								sorgcode:"",			//  境内企业机构代码		.cnybop.cnylib.sorgcode
								sforeigncountrycode:"",			//  境外企业国别地区代码		.cnybop.cnylib.sforeigncountrycode
								doccurdate:"",			//  业务发生日期		.cnybop.cnylib.doccurdate
								denddate:"",			//  业务到期日		.cnybop.cnylib.denddate
								dcreditenddate:"",			//  信用证到期日		.cnybop.cnylib.dcreditenddate
								famt:"",			//  金额		.cnybop.cnylib.famt
								dexchangedate:"",			//  承兑日期		.cnybop.cnylib.dexchangedate
								dexchangeenddate:"",			//  承兑到期日		.cnybop.cnylib.dexchangeenddate
								sbanktrano:"",			//  银行业务编号		.cnybop.cnylib.sbanktrano
								stermtype:"",			//  期限条件		.cnybop.cnylib.stermtype
								currencycode:"",			//  币种		.cnybop.cnylib.currencycode
							},
							sorgname:"",			//  境内企业名称		.cnybop.sorgname
							sforeignorgname:"",			//  境外企业名称		.cnybop.sforeignorgname
							saddwordlib:"",			//  交易附言		.cnybop.saddwordlib
							sbankname:"",			//  银行机构名称		.cnybop.sbankname
							fexchangeamt:"",			//  承兑金额		.cnybop.fexchangeamt
						},
						hmdmod2:{
							bennam:"",			//  交易对手名称		.hmdmod2.bennam
						},
						pageId: ""			// ctx的key
				}
    }
}